import { useUserStore } from '../store'
import { storeToRefs } from 'pinia'

export const usePermissions = () => {
  const userStore = useUserStore()
  const { isLogined, isDesigner } = storeToRefs(userStore)
  const routes = [
    { path: '/pages/mine/homepage/index', meta: { canNotLogin: false } },
    { path: '/pages/material/mini-class/index', meta: { canNotLogin: false, showToast: true } },
    { path: '/pages/material/recommend/index', meta: { canNotLogin: false, showToast: true } },
    { path: '/pages/publish/moment/index', meta: { canNotLogin: false, showToast: true } },
    { path: '/pages/publish/moment/index', meta: { canNotLogin: false, showToast: true } },
    { path: '/pages/messages/index', meta: { canNotLogin: false, showToast: true } },
    { path: '/pages/mine/setting/index', meta: { canNotLogin: false, showToast: true } },
    {
      path: '/pages/mine/homepage/statistics/index',
      meta: { canNotLogin: false, showToast: true },
    },
    {
      path: '/pages/mine/points/index',
      meta: { canNotLogin: false, showToast: true },
    },
    {
      path: '/pages/mine/coupons/index',
      meta: { canNotLogin: false, showToast: true },
    },
    {
      path: '/pages/mine/orders/index',
      meta: { canNotLogin: false, showToast: true },
    },
    {
      path: '/pages/mine/agents/index',
      meta: { canNotLogin: false, showToast: true },
    },
  ]
  return { isLogined, isDesigner, routes }
}
